# CYapfRoadNodeT< Tkey_ > Struct Template Reference

Yapf Node for road YAPF. More...

`#include <yapf_node_road.hpp>`

Inheritance diagram for CYapfRoadNodeT< Tkey_ >:

## Public Types
typedef CYapfNodeT< Tkey_, CYapfRoadNodeT< Tkey_ > > | base
## Public Member Functions
void | Set (CYapfRoadNodeT *parent, TileIndex tile, Trackdir td, bool is_choice)
## Data Fields
TileIndex | m_segment_last_tile
Trackdir | m_segment_last_td

## Detailed Description

### template<class Tkey_>
struct CYapfRoadNodeT< Tkey_ >

Yapf Node for road YAPF.

Definition at line 17 of file yapf_node_road.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_road.hpp